﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.DragDrop;

namespace ListBoxScrollViewer
{
    public class CustomDropVisualProvider : LinearDropVisualProvider
    {
        public override System.Windows.Point GetLocation(RadListBoxItem container, Panel panel, ItemDropPosition dropPosition)
        {
            if (container != null)
            {
                var destinationStackPoint = container.TransformToVisual(panel).Transform(new Point());
                if (dropPosition == ItemDropPosition.After)
                {
                    return new Point(0, destinationStackPoint.Y + container.ActualHeight);
                }
            }

            return this.GetLocation(container, panel);
        }
    }
}
